<!DOCTYPE html>
<html lang="en">
<head>
    <title>Everpay ADMIN API Documentation</title>
    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="../favicon.ico">
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800'
          rel='stylesheet' type='text/css'>
    <!-- FontAwesome JS -->
    <script defer src="../assets/fontawesome/js/all.js"></script>
    <!-- Global CSS -->
    <link rel="stylesheet" href="../assets/plugins/bootstrap/css/bootstrap.min.css">
    <!-- Plugins CSS -->
    <link rel="stylesheet" href="../assets/plugins/prism/prism.css">
    <!-- Theme CSS -->
    <link id="theme-style" rel="stylesheet" href="../assets/css/styles.css">
</head>

<body class="body-green">
<div class="page-wrapper">
    <!-- ******Header****** -->
    <header id="header" class="header">
        <div class="container">
            <div class="branding">
                <h1 class="logo">
                    <a href="index.html">
                            <span aria-hidden="true">
                                <img src="../assets/images/everpay_logo.png" alt="Everpay" class="logo_everpay"/>
                            </span>
                        <span aria-hidden="true" class="icon_documents_alt icon"></span>
                    </a>
                </h1>
            </div><!--//branding-->
        </div><!--//container-->
    </header><!--//header-->
    <div class="doc-wrapper">
        <div class="container">
            <div id="doc-header" class="doc-header text-center">
                <h1 class="doc-title"><i class="icon fa fa-paper-plane"></i>&nbsp;&nbsp;Everpay Payment Processing Admin
                    API
                </h1>
                <div class="meta"><i class="far fa-clock"></i> Last updated: June 24th, 2020</div>
            </div><!--//doc-header-->
            <div class="doc-body row">
                <div class="doc-content col-md-9 col-12 order-1">
                    <div class="content-inner">
                        <section id="intro-section" class="doc-section">
                            <h2 class="section-title">Admin API Reference</h2>
                            <div class="section-block">
                                Upon a new Merchant is added, new configuration must be added to the
                                <b>Everpay API</b> using the <b>Super Admin</b> credentials.
                            </div>
                        </section><!--//doc-section-->
                        <section id="installation-section" class="doc-section">
                            <h2 class="section-title">Configuration</h2>
                            <div id="roles" class="section-block">
                                <h3 class="block-title">Roles</h3>
                                <p>A <b>Role</b> <i><u>merchant</u></i> is already defined in the <b>Everpay API</b>,
                                    with
                                    permissions to manage <b>Accounts</b>, add <b>Payment Methods</b> and trigger
                                    <b>Purchases</b> and <b>Refunds</b>.</p>
                            </div>
                            <div id="users" class="section-block">
                                <h3 class="block-title">Users</h3>
                                <p>The first step to set up a new Merchant Account is to define its <b>Credentials</b>
                                    (<i>username</i>, <i>password</i> and the <b>Roles</b> associated).
                                    This can be done with the following Request:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
curl --location --request POST 'http://api.goeverpay.com/security/users' \
--header 'Authorization: Basic {base_64_encoded_superadmin_credentials}' \
--header 'Content-Type: application/json' \
--data-raw '{
   "username": "merchantTest",
   "password": "merchantTest",
   "roles": [
      "merchant"
   ]
}'
                                    </code></pre>
                                </div>
                                <p>The expected result is:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
201 CREATED
                                    </code></pre>
                                </div>
                            </div>
                            <div id="tenants" class="section-block">
                                <h3 class="block-title">Tenants</h3>
                                <p>After creating the <b>User</b>, the next step is to create a <b>Tenant</b> for the
                                    new
                                    Merchant Account. This can be done with the following Request::
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
curl --location --request POST 'http://api.goeverpay.com/tenants' \
--header 'Authorization: Basic {base_64_encoded_superadmin_credentials}' \
--header 'Content-Type: application/json' \
--data-raw '{
   "apiKey": "merchantTest",
   "apiSecret": "merchantTest"
}'
                                    </code></pre>
                                </div>
                                <p>The expected result is:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
201 CREATED
                                    </code></pre>
                                </div>
                            </div>
                            <div id="bennupay" class="section-block">
                                <h3 class="block-title">Assign BennuPay properties</h3>
                                <p>Once the <b>Tenant</b> is created, we should add the configuration properties related
                                    with the <b>BennuPay Payment Method</b>. This can be done with the following
                                    Request:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
curl --location --request POST 'http://api.goeverpay.com/tenants/uploadPluginConfig/killbill-bennupay' \
--header 'X-Everpay-ApiKey: merchantTest' \
--header 'X-Everpay-ApiSecret: merchantTest' \
--header 'Authorization: Basic {base_64_encoded_superadmin_credentials}' \
--header 'Content-Type: text/plain' \
--data-raw 'org.killbill.billing.plugin.bennupay.postURL=https://test.bennupay.com
org.killbill.billing.plugin.bennupay.merchantId={bennupay_merchant_id}
org.killbill.billing.plugin.bennupay.merchantName=Merchant Test
org.killbill.billing.plugin.bennupay.terminalId={bennupay_terminal_id}
org.killbill.billing.plugin.bennupay.apiPassword={bennupay_api_password}
org.killbill.billing.plugin.bennupay.privateKey={bennupay_private_key}
org.killbill.billing.plugin.bennupay.customerIP={bennupay_whitelisted_IP}
org.killbill.billing.plugin.bennupay.returnURL={bennupay_return_url}
org.killbill.billing.plugin.bennupay.callbackURL={bennupay_callback_url}'
                                    </code></pre>
                                </div>
                                <p>The expected result is:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
201 CREATED
                                    </code></pre>
                                </div>
                                <p>If you wish to check the <b>Properties</b> uploaded, you could use the following request:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
curl --location --request GET 'http://api.goeverpay.com/tenants/uploadPluginConfig/killbill-bennupay' \
--header 'X-Everpay-ApiKey: merchantTest' \
--header 'X-Everpay-ApiSecret: merchantTest' \
--header 'Authorization: Basic {base_64_encoded_superadmin_credentials}'
                                    </code></pre>
                                </div><!--//code-block-->
                                <p>An example response is:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
{
    "key": "PLUGIN_CONFIG_killbill-bennupay",
    "values": [
        "org.killbill.billing.plugin.bennupay.postURL=https://test.bennupay.com\norg.killbill.billing.plugin.bennupay.merchantId=3034\norg.killbill.billing.plugin.bennupay.merchantName=Merchant Test\norg.killbill.billing.plugin.bennupay.terminalId=30290\norg.killbill.billing.plugin.bennupay.apiPassword=EoLfPyJM\norg.killbill.billing.plugin.bennupay.privateKey=ylRpDwAorEQmV1X6h0CGT57S\norg.killbill.billing.plugin.bennupay.customerIP=23.92.21.70\norg.killbill.billing.plugin.bennupay.returnURL=http://localhost:3000/return.php\norg.killbill.billing.plugin.bennupay.callbackURL=http://localhost:3000/callbackurl.php"
    ]
}
                                    </code></pre>
                                </div>
                            </div>
                            <div id="notifications" class="section-block">
                                <h3 class="block-title">Assign Custom Notifications properties</h3>
                                <p>Last but not least, we should add the configuration properties related
                                    with the <b>Custom Notifications</b> processor. This means: Events to listen and
                                    send notifications, SMTP server configuration, Digital Receipt URL, among others.
                                    This can be done with the following Request:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
curl --location --request POST 'http://api.goeverpay.com/tenants/uploadPluginConfig/killbill-custom-notifications' \
--header 'X-Everpay-ApiKey: merchantTest' \
--header 'X-Everpay-ApiSecret: merchantTest' \
--header 'Authorization: Basic {base_64_encoded_superadmin_credentials}' \
--header 'Content-Type: text/plain' \
--data-raw 'org.killbill.billing.plugin.custom-notifications.default.events=INVOICE_PAYMENT_SUCCESS,INVOICE_PAYMENT_FAILED
org.killbill.billing.plugin.custom-notifications.digital.receipt.url={digital_receipt_api_url}
org.killbill.billing.plugin.custom-notifications.smtp.host={smtp_host}
org.killbill.billing.plugin.custom-notifications.smtp.port={smtp_port}
org.killbill.billing.plugin.custom-notifications.smtp.useAuthentication={smtp_auth}
org.killbill.billing.plugin.custom-notifications.smtp.userName={smtp_user}
org.killbill.billing.plugin.custom-notifications.smtp.password={smtp_pass}
org.killbill.billing.plugin.custom-notifications.smtp.useSSL={smtp_ssl}
org.killbill.billing.plugin.custom-notifications.smtp.sendHTMLEmail={smtp_html}
org.killbill.billing.plugin.custom-notifications.smtp.defaultSender={smtp_sender_email}'
                                    </code></pre>
                                </div>
                                <p>The expected result is:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
201 CREATED
                                    </code></pre>
                                </div>
                                <p>If you wish to check the <b>Properties</b> uploaded, you could use the following request:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
curl --location --request GET 'http://api.goeverpay.com/tenants/uploadPluginConfig/killbill-bennupay' \
--header 'X-Everpay-ApiKey: merchantTest' \
--header 'X-Everpay-ApiSecret: merchantTest' \
--header 'Authorization: Basic {base_64_encoded_superadmin_credentials}'
                                    </code></pre>
                                </div><!--//code-block-->
                                <p>An example response is:
                                </p>
                                <div class="code-block">
                                    <pre><code class="language-javascript">
{
    "key": "PLUGIN_CONFIG_killbill-custom-notifications",
    "values": [
        "org.killbill.billing.plugin.custom-notifications.default.events=INVOICE_PAYMENT_SUCCESS,INVOICE_PAYMENT_FAILED\norg.killbill.billing.plugin.custom-notifications.digital.receipt.url=http://my-pop.co.uk\norg.killbill.billing.plugin.custom-notifications.smtp.host=gator4178.hostgator.com\norg.killbill.billing.plugin.custom-notifications.smtp.port=465\norg.killbill.billing.plugin.custom-notifications.smtp.useAuthentication=true\norg.killbill.billing.plugin.custom-notifications.smtp.userName=no-reply@goeverpay.com\norg.killbill.billing.plugin.custom-notifications.smtp.password=6Ic3alRL1GD4\norg.killbill.billing.plugin.custom-notifications.smtp.useSSL=true\norg.killbill.billing.plugin.custom-notifications.smtp.sendHTMLEmail=true\norg.killbill.billing.plugin.custom-notifications.smtp.defaultSender=no-reply@goeverpay.com"
    ]
}
                                    </code></pre>
                                </div>
                            </div>
                        </section>
                    </div><!--//content-inner-->
                </div><!--//doc-content-->
                <div class="doc-sidebar col-md-3 col-12 order-0 d-none d-md-flex">
                    <div id="doc-nav" class="doc-nav">
                        <nav id="doc-menu" class="nav doc-menu flex-column sticky">
                            <a class="nav-link scrollto" href="#intro-section">Admin API Reference</a>
                            <a class="nav-link scrollto" href="#installation-section">Configuration</a>
                            <nav class="doc-sub-menu nav flex-column">
                                <a class="nav-link scrollto" href="#roles">Roles</a>
                                <a class="nav-link scrollto" href="#users">Users</a>
                                <a class="nav-link scrollto" href="#tenants">Tenants</a>
                                <a class="nav-link scrollto" href="#bennupay">BennuPay properties</a>
                                <a class="nav-link scrollto" href="#notifications">Custom Notifications properties</a>
                            </nav><!--//nav-->
                        </nav><!--//doc-menu-->
                    </div>
                </div><!--//doc-sidebar-->
            </div><!--//doc-body-->
        </div><!--//container-->
    </div><!--//doc-wrapper-->
</div><!--//page-wrapper-->

<footer id="footer" class="footer text-center">
    <div class="container">
        <small class="copyright">Everpay Inc. © 2020</small>
    </div><!--//container-->
</footer><!--//footer-->

<!-- Main Javascript -->
<script type="text/javascript" src="../assets/plugins/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="../assets/plugins/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="../assets/plugins/prism/prism.js"></script>
<script type="text/javascript" src="../assets/plugins/jquery-scrollTo/jquery.scrollTo.min.js"></script>
<script type="text/javascript" src="../assets/plugins/stickyfill/dist/stickyfill.min.js"></script>
<script type="text/javascript" src="../assets/js/main.js"></script>
</body>
</html> 

